[Bug erledigt] Fehlermeldung mit GPG4win V3.1.16

  • Hallo ,

    habe gewartet ob das Thema mal auftaucht, war aber nicht...


    wenn ich mit GPG Version 3.1.16 eine Mail verschlüssel und dann verschicke kommt folgende Meldung (ob das wirklich eine Fehlermeldung ist oder nur ein Hinweis ,

    ich Weis es nicht)



    Wenn ich aber mit der Vorgängerversion (GpG4win3.1.15) verschlüssle dann kommt kein Requester


    Beide Male , ob mit der..15 oder der ...16 geht die Mail ordnungsgemäß verschlüsselt raus...


    Wäre dann möglicherweise "nur" ein Schönheitsfehler???


    ImGPG Forum ist ein Hinweis , das es erklären könnte :

    da er extra den Hinweis als Fehlersuche Quasi freigegeben hat, will ich das hier mal frei wiedergeben.


    Es würde wohl so aussehen als, würde TheBat! per Kommandozeilenaufruf GnuPG einbinden


    so würde wohl TheBat! anfällig gegenüber Änderungen an der Kommandozeile.


    Hier würde was über Änderungen in der Kommandozeile stehen


    https://dev.gnupg.org/T4398 https://dev.gnupg.org/T5285


    Das soll wohl als Hinweis gelten und müsste dann vom Entwickler korrigiert werden


    Habt Ihr hier schon ähnliches erfahren , oder verschlüsselt hier keiner per GPG



    Gruß,

    Wanda Heppich

  • Inwiefern erledigt? Lag's an GPG und nicht an TB! ?


    Gpg4win v3.1.16 enthält ja noch GPG v2.2.28 vom 10.06.2021. Es gibt aber schon v2.2.29 vom 04.07.2021. Hat's jemand damit getestet?


    Wenn tatsächlich erledigt, dann bitte auch gleich im Ritlabs BugTracker bestätigen.

  • sanyok

    Hat den Titel des Themas von „GPG4winV3.1.16“ zu „Fehlermeldung mit GPG4win V3.1.16“ geändert.
  • sanyok

    Hat den Titel des Themas von „Fehlermeldung mit GPG4win V3.1.16“ zu „[Bug] Fehlermeldung mit GPG4win V3.1.16“ geändert.
  • Jo. Danke an alle ...

    wollte keine Pferde Scheu machen...

    Neee, ist schon ok.


    Das hier ist ein Support-Forum von Freiwilligen, in dem auch sehr einfache Fragen von anfangenden und anderen Benutzer:innen beantwortet werden (oder auch nicht, falls niemand eine Antwort weiß :).


    Will sagen: es ist gut, wenn jedes auftretende Problem mit The Bat! und Konsorten kommuniziert wird.


    Falls Du einen Ritlabs-Bugtracker-Account hast, dann ergänze doch bitte auch dort eine aktuelle Notiz zu Deinem Problem.

  • Das Problem existiert auch noch in der 9.4.2 BETA.

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

    Einmal editiert, zuletzt von GwenDragon ()

  • Neuigkeit!!!! Das jetzige GnuPG 2.2.33 unterdrückt nun die Meldung in The Bat! 🙂👍🏻

    Quelle: https://lists.gnupg.org/piperm…nounce/2021q4/000467.html

    Download auf https://www.gnupg.org/ftp/gcrypt/binary/

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

    2 Mal editiert, zuletzt von GwenDragon ()

  • GwenDragon

    Hat den Titel des Themas von „[Bug] Fehlermeldung mit GPG4win V3.1.16“ zu „[Bug erledigt] Fehlermeldung mit GPG4win V3.1.16“ geändert.
  • @Arachnophilia

    2.3.3 müsste doch eine neuere Version sein als 2.2.33 .... oder?

    2.3.3 ist vom 12.10.

    2.2.33 vom 23.11

    Ob die 2.3.3 den Fix hat, hab ich nicht probiert.


    Ich nehme die 2.2.x weil die erst mal noch Long Term Support hat.

    Bei mir ist das Fenster immer noch sehr gut mit Fehlern gefüllt!

    Bei diesem Fix geht es nur um die Meldung bezüglich setConsoleCP.


    Welche Fehler? Mit welchem GnuPG? Hast du schon mal hier im Forum diesbezüglich gepostet und/oder einen Bugreport bei Ritlabs erstellt?

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

    3 Mal editiert, zuletzt von sanyok () aus folgendem Grund: 2.2.23 in 2.2.33 geändert.

  • Kann auch sein, dass v2.3 dieses Problem gar nicht hat. Ursprünglich bezog es sich ja auf GPG4win, das immer noch GPG v2.2 beinhaltet.

  • Ich hab das früher mal getestet, GnuPG 2.3.x ließ bei mir The Bat! komplett aufhängen (weißes Fenster) und nur noch per Gewalt mit Windows-Bordmitteln beenden. //edit Jetzt genauso.


    Deswegen empfehle ich ja GnuPG 2.2.33.

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

  • Ich hab das früher mal getestet, GnuPG 2.3.x ließ bei mir The Bat! komplett aufhängen (weißes Fenster) und nur noch per Gewalt mit Windows-Bordmitteln beenden. //edit Jetzt genauso.


    Deswegen empfehle ich ja GnuPG 2.2.33.

    Diesen Fehler (weißes Fenster und einen gewaltsamen Abbruch mit Windows) gibt es jetzt bei mir jetzt nicht.

    Ich kann bei beiden Versionen nach der Installation so keinen Unterschied feststellen.


    Und in beiden Version gibt es die "gleichen" Fehlermeldungen in der Ausgabe.

    Im entsprechenden Forum geht man davon aus, dass der Fehler durch eine falsche Übergabe durch TheBat entsteht.

    Vielleicht liegt es auch an etwas anderem. Ich kann das jetzt so nicht prüfen.

  • Und in beiden Version gibt es die "gleichen" Fehlermeldungen in der Ausgabe.

    Du, ich kann doch nicht raten, was da erscheint und wobei das erscheint. Magst du das sagen und den Text hier hin kopieren, so kann ich schlecht helfen.

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

  • Hallo Gwen


    Sorry, Zu spät gelesen.

    Ich habe vorhin alles komplett deinstalliert und wieder installiert.

    Jetzt bleiben nur noch die zwei bekannten Zeilen zurück.


    Vorher gab es wesentlich mehr Zeilen mit "Hinweisen". :/


    Code
    gpg: SetConsoleCP failed: Das Handle ist ungültig.
    gpg: Warning: Garbled console data possible
  • @Arachnophilia Mit GnuPG 2.2.33 + The Bat! 9.4.5 32bit + Win 11 21H2 Pro kommt das bei mir nicht, wenn ich ein Mail signiere/verschlüssele.
    Wann passiert das denn bei dir genau?

    Was muss ich tun um das zu prüfen?

    The Bat! Pro 9.x BETA (32bit) | Win 11 Pro x64 | GnuPG 2.2.x | XMP + Regula


    Wer mich Er oder der Drache nennt, bekommt von der Drachin Pratze und Feuer zu spüren.

    2 Mal editiert, zuletzt von GwenDragon ()